<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="msgstore" id="login-by-period">

 <lire:title>Successful Login by Period Message Store Report</lire:title>
 <lire:description>
  <para>This report specification will generate a report showing the
   the number of successful logins aggregated by
   some period of time. The period is configurable.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period over which the
     <constant>close</constant> events are counted.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>


 <lire:display-spec>
  <lire:title>Login by $period Period</lire:title>
 </lire:display-spec>

<lire:filter-spec>
  <lire:eq arg1="$prot_cmd" arg2="login"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:timegroup period="$period" label="Period">
   <lire:count name="loging_count" label="Logins"/>
   <lire:count name="loging_ratio" ratio="table" label="% Total"/>
  </lire:timegroup>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->

